--- dnsmasq-2.89/src/dump.c.orig	2023-02-02 21:24:24.000000000 +0100
+++ dnsmasq-2.89/src/dump.c	2023-07-22 14:27:10.140391206 +0200
@@ -20,6 +20,13 @@
 
 #include <netinet/icmp6.h>
 
+#ifdef __sun
+    /* To find out th correct value for OpenIndiana use "pfexec ndd /dev/icmp icmp_ipv4_ttl" */
+    #define IPDEFTTL 255
+#else
+#define IPDEFTTL 64	/* default ttl, RFC 1122, RFC 1340 */
+#endif
+
 static u32 packet_count;
 static void do_dump_packet(int mask, void *packet, size_t len,
 			   union mysockaddr *src, union mysockaddr *dst, int port, int proto);
